POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-03-11T06:54:45.5670514+00:00",
"active": true,
"department_item_id": "a1f203f9-d006-4ec4-bc00-9e13880e9847",
"id": "d51cdf7c-cb6d-4cf5-a8c4-d66621158d70",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-03-11T06:54:45.5670514+00:00</date> <department_item_id>a1f203f9-d006-4ec4-bc00-9e13880e9847</department_item_id> <id>d51cdf7c-cb6d-4cf5-a8c4-d66621158d70</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"34494e64-81f2-4706-b6da-bd4af230ebcd"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">34494e64-81f2-4706-b6da-bd4af230ebcd</guid>